Debian Bug report logs - #603699
RFP: celt051 -- The CELT codec v0.5.1

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: liang <bluestonechina@gmail.com>

Date: Tue, 16 Nov 2010 14:18:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to liang <bluestonechina@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 16 Nov 2010 14:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: liang <bluestonechina@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 22:15:39 +0800
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

--- Please fill out the fields below. ---

   Package name: celt051
        Version: 0.5.1.3
Upstream Author: Christopher Montgomery, Jean-Marc Valin
		 Timothy Terriberry, CSIRO, and other contributors
            URL: http://www.celt-codec.org/
        License: BSD
    Description: The CELT codec version 0.5.1
 CELT is an experimental audio codec for use in low-delay communication.
 Its potential uses include video-conferencing and network music performance.  
 This is a maintained branch of the 0.5.1 prerelease of CELT, it is not 
 compatiable with any previous or subseqent numbered release. 
 .
 This package is specially used by spice, you may install celt for NORMAL USE. 
-- 
Liang Guo
http://bluestone.cublog.cn

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 14:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 603699@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: liang <bluestonechina@gmail.com>, 603699@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 15:38:50 +0100
Am 16.11.2010 15:15, schrieb liang:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org
>
> --- Please fill out the fields below. ---
>
>     Package name: celt051
>          Version: 0.5.1.3
> Upstream Author: Christopher Montgomery, Jean-Marc Valin
> 		 Timothy Terriberry, CSIRO, and other contributors
>              URL: http://www.celt-codec.org/
>          License: BSD
>      Description: The CELT codec version 0.5.1
>   CELT is an experimental audio codec for use in low-delay communication.
>   Its potential uses include video-conferencing and network music performance.
>   This is a maintained branch of the 0.5.1 prerelease of CELT, it is not
>   compatiable with any previous or subseqent numbered release.
>   .
>   This package is specially used by spice, you may install celt for NORMAL USE.

celt is already packaged:
http://packages.debian.org/search?keywords=celt




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 15:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 15:12:02 GMT) Full text and rfc822 format available.

Message #15 received at 603699@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: pmatthaei@debian.org
Cc: 603699@bugs.debian.org, debian-devel@lists.debian.org, Marc-André Lureau <marcandre.lureau@gmail.com>
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 23:09:22 +0800
>
> celt is already packaged:
> http://packages.debian.org/search?keywords=celt

Different version CELT is not compatiable, it means, if audio is
encoded with celt 0.5, it is not possible to decode it with celt 0.9,
and spice[1] uses celt 0.5.1, if we want use spice in Debian, we need
package celt051 for it.

Marc-André Lureau had ported spice to use the latest celt , but it is
not suitable for upstream, for the spice client and the server use
different different bitstream format.

BTW: fedora have two different version celt[3]

[1] http://www.spice-space.org/
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560721
[3] https://admin.fedoraproject.org/pkgdb/acls/list/*celt**?_csrf_token=537e3e3d62864407b17cb114113258d54f249410

Thanks,
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 15:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 603699@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 603699@bugs.debian.org, debian-devel@lists.debian.org, Marc-André Lureau <marcandre.lureau@gmail.com>
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 16:08:02 +0100
Am 16.11.2010 16:09, schrieb Liang Guo:
>>
>> celt is already packaged:
>> http://packages.debian.org/search?keywords=celt
>
> Different version CELT is not compatiable, it means, if audio is
> encoded with celt 0.5, it is not possible to decode it with celt 0.9,
> and spice[1] uses celt 0.5.1, if we want use spice in Debian, we need
> package celt051 for it.
>
> Marc-André Lureau had ported spice to use the latest celt , but it is
> not suitable for upstream, for the spice client and the server use
> different different bitstream format.
>
> BTW: fedora have two different version celt[3]
>
> [1] http://www.spice-space.org/
> [2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560721
> [3] https://admin.fedoraproject.org/pkgdb/acls/list/*celt**?_csrf_token=537e3e3d62864407b17cb114113258d54f249410
>
> Thanks,

Yeah I am aware of the celt _madness_ - I am one of the mumble maintainers..

spice then has to be adjusted to support celt 0.9.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-André Lureau <marcandre.lureau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 15:45:05 GMT) Full text and rfc822 format available.

Message #25 received at 603699@bugs.debian.org (full text, mbox):

From: Marc-André Lureau <marcandre.lureau@gmail.com>
To: pmatthaei@debian.org
Cc: Liang Guo <bluestonechina@gmail.com>, 603699@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 16:43:47 +0100
Hi Patrick,

On Tue, Nov 16, 2010 at 4:08 PM, Patrick Matthäi <pmatthaei@debian.org> wrote:
> Am 16.11.2010 16:09, schrieb Liang Guo:
>> Marc-André Lureau had ported spice to use the latest celt , but it is
>> not suitable for upstream, for the spice client and the server use
>> different different bitstream format.
>>
>> BTW: fedora have two different version celt[3]
> Yeah I am aware of the celt _madness_ - I am one of the mumble maintainers..
>
> spice then has to be adjusted to support celt 0.9.
>

Then we will be incompatible with upstream. Upstream has decided to
stick to 0.5.x. This means that all the people using SPICE today are
using this version. Do we really want to be incompatible with others
distros and custom builds?

I think we should be reasonable, since Fedora and RHEL already decided
to stick to 0.5.x, that means they are going to maintain it as well.
What really prevent us from making it available in Debian?

One day, perhaps if the reasons are good enough, spice upstream will
decide to use a higher version of the bitstream. But right now, there
is no frozen bitstream, and it would be crazy to just take arbitrarily
another version, they did it once, it's enough.

Please correct me if I am missing something here.

cheers

-- 
Marc-André Lureau




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 603699@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Marc-André Lureau <marcandre.lureau@gmail.com>
Cc: Liang Guo <bluestonechina@gmail.com>, 603699@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 16:46:47 +0100
Am 16.11.2010 16:43, schrieb Marc-André Lureau:
> Hi Patrick,
>
> On Tue, Nov 16, 2010 at 4:08 PM, Patrick Matthäi<pmatthaei@debian.org>  wrote:
>> Am 16.11.2010 16:09, schrieb Liang Guo:
>>> Marc-André Lureau had ported spice to use the latest celt , but it is
>>> not suitable for upstream, for the spice client and the server use
>>> different different bitstream format.
>>>
>>> BTW: fedora have two different version celt[3]
>> Yeah I am aware of the celt _madness_ - I am one of the mumble maintainers..
>>
>> spice then has to be adjusted to support celt 0.9.
>>
>
> Then we will be incompatible with upstream. Upstream has decided to
> stick to 0.5.x. This means that all the people using SPICE today are
> using this version. Do we really want to be incompatible with others
> distros and custom builds?
>
> I think we should be reasonable, since Fedora and RHEL already decided
> to stick to 0.5.x, that means they are going to maintain it as well.
> What really prevent us from making it available in Debian?
>
> One day, perhaps if the reasons are good enough, spice upstream will
> decide to use a higher version of the bitstream. But right now, there
> is no frozen bitstream, and it would be crazy to just take arbitrarily
> another version, they did it once, it's enough.
>
> Please correct me if I am missing something here.

I think at all (before submitting this ITP) you should talk about this 
with the celt package maintainer of Debian.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 603699@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: "pmatthaei@debian.org" <pmatthaei@debian.org>
Cc: "603699@bugs.debian.org" <603699@bugs.debian.org>, "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>, Marc-André Lureau <marcandre.lureau@gmail.com>
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 23:59:49 +0800
>
>
> Yeah I am aware of the celt _madness_ - I am one of the mumble maintainers..
>
> spice then has to be adjusted to support celt 0.9.
It is hard to upgrade to a new celt version, after upgrade, new client
will not able
to connect to old spice server.

So it is not a good idea to update celt frequently. After celt
officially released, celt
API will be stable, it will be proper for spice to update its spice.
Or let spice support
multi celt versions, so that celt client and server can  negotiate
which bitstream
order to use.

Thanks

-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 17:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 17:39:09 GMT) Full text and rfc822 format available.

Message #40 received at 603699@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Patrick Matthäi <pmatthaei@debian.org>
Cc: Liang Guo <bluestonechina@gmail.com>, 603699@bugs.debian.org, debian-devel@lists.debian.org, Marc-André Lureau <marcandre.lureau@gmail.com>
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 17:37:21 +0000
On Tue, Nov 16, 2010 at 04:08:02PM +0100, Patrick Matthäi wrote:
> Am 16.11.2010 16:09, schrieb Liang Guo:
>>>
>>> celt is already packaged:
>>> http://packages.debian.org/search?keywords=celt
>>
>> Different version CELT is not compatiable, it means, if audio is
>> encoded with celt 0.5, it is not possible to decode it with celt 0.9,
>> and spice[1] uses celt 0.5.1, if we want use spice in Debian, we need
>> package celt051 for it.
>>
>> Marc-André Lureau had ported spice to use the latest celt , but it is
>> not suitable for upstream, for the spice client and the server use
>> different different bitstream format.
>>
>> BTW: fedora have two different version celt[3]
>>
>> [1] http://www.spice-space.org/
>> [2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560721
>> [3] https://admin.fedoraproject.org/pkgdb/acls/list/*celt**?_csrf_token=537e3e3d62864407b17cb114113258d54f249410
>>
>> Thanks,
>
> Yeah I am aware of the celt _madness_ - I am one of the mumble maintainers..
>
> spice then has to be adjusted to support celt 0.9.

This is a bit like saying 'IPv6 is the current version, we need to change
packages to use that instead of IPv4'.

If CELT 0.9 is significantly better then the SPICE protocol should be
updated to support it as an alternative.  But since 0.5 is now specified
in that protocol then SPICE clients and servers will need to support it
for a long time to come.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 21:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 21:15:05 GMT) Full text and rfc822 format available.

Message #45 received at 603699@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: Patrick Matthäi <pmatthaei@debian.org>
Cc: Liang Guo <bluestonechina@gmail.com>, 603699@bugs.debian.org, debian-devel@lists.debian.org, Marc-André Lureau <marcandre.lureau@gmail.com>
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 22:11:03 +0100
On Tue, Nov 16, 2010 at 04:08:02PM +0100, Patrick Matthäi wrote:

Hi!

[CELT for spice]
> Yeah I am aware of the celt _madness_ - I am one of the mumble
> maintainers..
>
> spice then has to be adjusted to support celt 0.9.

I strongly support this demand. It was wrong to use CELT in the first
place, these guys clearly state that everything may change whenever they
want (before the 1.0 release), and especially the API is unstable.

We had the same thing in jackd, and it's as simple as that: either
prepare for a moving target or don't use it.

Ok, now spice has ignored all warnings and "decided" to go for
celt-0.5.1 (for whatever reason).

Please forgive my ignorance, but I don't see why this means they'll have
to stick to it til the end of time. I might have missed something, but I
don't know a single spice user, so which backward compatibility are we
talking about?

Anyway, there's

   http://www.spice-space.org/docs/spice_protocol.pdf

and it says it's a draft, so I guess it can still be reworked. But
still, if you see section 7 and 8, you'll notice two constants:

   RED_PLAYBACK_DATA_MODE_RAW        = 1
   RED_PLAYBACK_DATA_MODE_CELT_0_5_1 = 2

And the mode constants are used in an uint32 (section 7.5).

So why on earth don't you simply define a
RED_PLAYBACK_DATA_MODE_CELT_0_9_whatever, make this number three and
that's it?

Ok, you'll lose backward compatibility to non-celt-0.9 installations
already deployed and not being able to update... but who's using them?
And who will be using them by 2011?

If there's such a legacy user base, then I suggest to embed your private
copy of celt-0.5.1 into the spice client source. For everyone else, it's
the wrong signal to expect any CELT version (below 1.0) to be widely
installed anywhere.

So strictly speaking: it's possible for spice to support more than one
celt version (as shown above) without ruining backward compatibility.
In Debian, only provide the newest celt version. If need be, embed
celt-0.5.1 into spice, but the other approach would be to entirely
ignore this 0.5.1 thing.

This way, there'll be support for newest celt with the fallback to raw
audio transfer (DATA_MODE_RAW).



Just my €0.02

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Tue, 16 Nov 2010 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Nov 2010 23:39:03 GMT) Full text and rfc822 format available.

Message #50 received at 603699@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Cc: Patrick Matthäi <pmatthaei@debian.org>, Liang Guo <bluestonechina@gmail.com>, 603699@bugs.debian.org, debian-devel@lists.debian.org, Marc-André Lureau <marcandre.lureau@gmail.com>
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Tue, 16 Nov 2010 23:37:08 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2010-11-16 at 22:11 +0100, Adrian Knoth wrote:
[...]
> Anyway, there's
> 
>    http://www.spice-space.org/docs/spice_protocol.pdf
> 
> and it says it's a draft, so I guess it can still be reworked. But
> still, if you see section 7 and 8, you'll notice two constants:
> 
>    RED_PLAYBACK_DATA_MODE_RAW        = 1
>    RED_PLAYBACK_DATA_MODE_CELT_0_5_1 = 2
> 
> And the mode constants are used in an uint32 (section 7.5).
> 
> So why on earth don't you simply define a
> RED_PLAYBACK_DATA_MODE_CELT_0_9_whatever, make this number three and
> that's it?
> 
> Ok, you'll lose backward compatibility to non-celt-0.9 installations
> already deployed and not being able to update... but who's using them?
> And who will be using them by 2011?

RHEL 6 is presumably using this version of SPICE, so I would expect
there will be many such installations and they will stay around for many
years.

> If there's such a legacy user base, then I suggest to embed your private
> copy of celt-0.5.1 into the spice client source. For everyone else, it's
> the wrong signal to expect any CELT version (below 1.0) to be widely
> installed anywhere.
[...]

This sounds like a sensible solution so long as there is only one SPICE
implementation in Debian.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 03:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 03:27:02 GMT) Full text and rfc822 format available.

Message #55 received at 603699@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Cc: Patrick Matthäi <pmatthaei@debian.org>, 603699@bugs.debian.org, debian-devel@lists.debian.org, Marc-André Lureau <marcandre.lureau@gmail.com>, spice-devel@lists.freedesktop.org
Subject: Re: Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 11:25:30 +0800
Add Cc to spice-devel list

On Wed, Nov 17, 2010 at 5:11 AM, Adrian Knoth <adi@drcomp.erfurt.thur.de> wrote:
> Ok, you'll lose backward compatibility to non-celt-0.9 installations
> already deployed and not being able to update... but who's using them?
> And who will be using them by 2011?
>
RHEL6 and fedora are using spice with celt051,  even if after several
years development, spice can use a stable version of celt(maybe 1.0),
spice may consider  backward compatible to support celt051 in the
future. so there will be plenty of spice server with celt051 support
for many years.

> If there's such a legacy user base, then I suggest to embed your private
> copy of celt-0.5.1 into the spice client source. For everyone else, it's
> the wrong signal to expect any CELT version (below 1.0) to be widely
> installed anywhere.
>
> So strictly speaking: it's possible for spice to support more than one
> celt version (as shown above) without ruining backward compatibility.
> In Debian, only provide the newest celt version. If need be, embed
> celt-0.5.1 into spice, but the other approach would be to entirely
> ignore this 0.5.1 thing.
>
> This way, there'll be support for newest celt with the fallback to raw
> audio transfer (DATA_MODE_RAW).
>
It looks like we have following options:

1 Package celt051 and spice in Debian, for spice and packaging
works, it is a good option, after spice switch to the latest version
celt and not use celt051 any more, we may remove celt051 in
Debian archive. but there will be two different celt version 0.5.1 and
the latest in Debian.

2 Embed celt051 to spice, this option will add workload and
complexity of packaging, and violate the Debian Policy 4.13[1], the
advantage is Debian have only one version of celt.

3 Patch spice to remove depends on celt0.5.1, just let spice use
only RAW codec. When connect to spice server. other spice client
connect to Debian spice server, we will get high latency, high
bandwidth consume audio. I'm not sure this option works.

4 Do nothing, wait spice to switch to latest celt, or work on spice to
switch to latest celt or at least support latest celt and celt 0.5.1, it
will be matter long long before. Within this period, Debian can only
run as a RHEV or spice-enabled qemu  Guest OS.

[1] http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles

Thanks adn Regards,
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans de Goede <hdegoede@redhat.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 07:42:03 GMT) Full text and rfc822 format available.

Message #60 received at 603699@bugs.debian.org (full text, mbox):

From: Hans de Goede <hdegoede@redhat.com>
To: Liang Guo <bluestonechina@gmail.com>
Cc: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 08:40:22 +0100
Hi,

The reason spice is still using celt-0.5.1 is that celt as
a protocol / format is considered not finished yet by celt
upstream and thus the bitstream format may change (and does
change) with every new upstream release.

In order to provide compatibility between different spice
client and server versions we've frozen the celt bitstream
protocol as used in spice at version 0.5.1

On 11/17/2010 04:25 AM, Liang Guo wrote:
> Add Cc to spice-devel list
>
> On Wed, Nov 17, 2010 at 5:11 AM, Adrian Knoth<adi@drcomp.erfurt.thur.de>  wrote:
>> Ok, you'll lose backward compatibility to non-celt-0.9 installations
>> already deployed and not being able to update... but who's using them?
>> And who will be using them by 2011?
>>
> RHEL6 and fedora are using spice with celt051,  even if after several
> years development, spice can use a stable version of celt(maybe 1.0),
> spice may consider  backward compatible to support celt051 in the
> future. so there will be plenty of spice server with celt051 support
> for many years.
>
>> If there's such a legacy user base, then I suggest to embed your private
>> copy of celt-0.5.1 into the spice client source. For everyone else, it's
>> the wrong signal to expect any CELT version (below 1.0) to be widely
>> installed anywhere.
>>
>> So strictly speaking: it's possible for spice to support more than one
>> celt version (as shown above) without ruining backward compatibility.
>> In Debian, only provide the newest celt version. If need be, embed
>> celt-0.5.1 into spice, but the other approach would be to entirely
>> ignore this 0.5.1 thing.
>>
>> This way, there'll be support for newest celt with the fallback to raw
>> audio transfer (DATA_MODE_RAW).
>>
> It looks like we have following options:
>
> 1 Package celt051 and spice in Debian, for spice and packaging
> works, it is a good option, after spice switch to the latest version
> celt and not use celt051 any more, we may remove celt051 in
> Debian archive. but there will be two different celt version 0.5.1 and
> the latest in Debian.
>

Yes this would be the right solution. Note I think it would be great to
have spice in Debian and I would be happy to help with any issues you may
encounter.

> 2 Embed celt051 to spice, this option will add workload and
> complexity of packaging, and violate the Debian Policy 4.13[1], the
> advantage is Debian have only one version of celt.
>

Although I'm only one member of the spice upstream team / community
I think I can speak on behalf of upstream when saying we won't take
patches to enable something like this. You're of course free to
patch configure and the Makefiles in Debian to enable this, but we
won't take such patches upstream.

> 3 Patch spice to remove depends on celt0.5.1, just let spice use
> only RAW codec. When connect to spice server. other spice client
> connect to Debian spice server, we will get high latency, high
> bandwidth consume audio. I'm not sure this option works.

Please do not do this, this may break compatibility with none Debian
spice versions and even if it does not it will make us look bad.

> 4 Do nothing, wait spice to switch to latest celt, or work on spice to
> switch to latest celt or at least support latest celt and celt 0.5.1, it
> will be matter long long before. Within this period, Debian can only
> run as a RHEV or spice-enabled qemu  Guest OS.

Again I'm only one member of the spice upstream team. But AFAIK
our (upstreams) stance on this is that we won't switch to a newer celt
until the bitstream protocol is stable, if at all.

The if at all part depends on if it will be doable without too much
pain to support both celt-0.5.1 and celt "1.0" in the same binary.
This is important to us as we care a lot about protocol
compatibility.

Which is in downstreams best interest too btw, otherwise one gets a
situation like with unison were distros need to package multiple versions
so that users can talk to different servers with different versions,
ie in Fedora we have both unison213 and unison227.

Thanks & Regards,

Hans




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 12:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 12:15:05 GMT) Full text and rfc822 format available.

Message #65 received at 603699@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Liang Guo <bluestonechina@gmail.com>, Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 22:34:30 +1030
Hi Hans,

Hans de Goede writes:
> The if at all part depends on if it will be doable without too much
> pain to support both celt-0.5.1 and celt "1.0" in the same binary.
> This is important to us as we care a lot about protocol
> compatibility.

Are you seriously telling me that you have no plan whatsoever for how
to transition from a random snapshot of an experimental codec, except
to hope that somehow it might in some way become embedded in some other
binary for the rest of eternity?

I really hope you are not, but if you are, and other people accept that
as a valid solution -- then how many apps should the distro extend this
sort of madness to?  I can think of several who would love to if we are
to permit this.  But so far, all have accepted this _is_ an experimental
codec, and they must be prepared to move with it.  The interested app
maintainers and upstream discussed this, and we settled on 0.7.1 as the
next stable epoch for things that want broad interoperability.  We waved
at everyone who would listen about doing the same.

Are you aware there may never be a celt 1.0?  We have roughly 2 years
from today before any version of spice will have a chance to be even
considered for the next Debian stable release - and if things go as
expected, it will not include any version of celt at all.  There will
instead be a new (and standardised) codec that was spawned from it and
merged with other codec work.

At some point, if the experimental spice wants to become a mature and
portable application, it's going to have to acquire the ability to deal
with this sort of thing.  I'd really like to encourage you to use this
release cycle (and Debian) as your lab-rats for getting that right.
Then you don't have to worry about upsetting corporate clients who you
made guarantees to, to get a wide audience for testing -- and by the
time Debian does freeze, I'd hope you have this worked out well enough
for everyone.

If that means an update to the spice bitstream protocol, now might be a
good time to explore one.  I really do want to see people experimenting
with celt.  But I really don't want to see that become a poor facsimile
of The BDB Problem.  If the draft spice protocol isn't really suitable
for the distro as is, then we should fix it until it is.  That would be
a much better outcome than collecting random snapshots of unmaintained
things that only one experimental application actually needs.

Wouldn't it?

(trying not to be grumpy, but kind of frustrated by this sort of thinking),
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans de Goede <hdegoede@redhat.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 14:24:05 GMT) Full text and rfc822 format available.

Message #70 received at 603699@bugs.debian.org (full text, mbox):

From: Hans de Goede <hdegoede@redhat.com>
To: Ron <ron@debian.org>
Cc: Liang Guo <bluestonechina@gmail.com>, Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 15:23:42 +0100
Hi,

On 11/17/2010 01:04 PM, Ron wrote:
>
> Hi Hans,
>
> Hans de Goede writes:
>> The if at all part depends on if it will be doable without too much
>> pain to support both celt-0.5.1 and celt "1.0" in the same binary.
>> This is important to us as we care a lot about protocol
>> compatibility.
>
> Are you seriously telling me that you have no plan whatsoever for how
> to transition from a random snapshot of an experimental codec, except
> to hope that somehow it might in some way become embedded in some other
> binary for the rest of eternity?
>

<Don't shoot the messenger>

In retrospect the decision to use celt may not have been the best, and
chances are we will support another form of compressed audio besides celt
in the near future. Then we will likely drop celt-0.5.1 in a few releases.

But for now we are stuck with a celt-0.5.1 dependency as we are committed
to maintaining wire protocol compatibility.

Regards,

Hans




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 14:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregory Maxwell <gmaxwell@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 14:30:03 GMT) Full text and rfc822 format available.

Message #75 received at 603699@bugs.debian.org (full text, mbox):

From: Gregory Maxwell <gmaxwell@gmail.com>
To: 603699@bugs.debian.org
Subject: Unbundling obsession
Date: Wed, 17 Nov 2010 09:27:22 -0500
Greetings. I'm one of the developers of CELT.

Paul Wise recently joined our IRC channel on Freenode (#celt), pointed
out some bugs, fired off some barbs and then departed. I thought I'd
come here and leave a comment.

Each version of the CELT bitstream can be regarded as a distinct
codec.   This is the case for two reasons: One, CELT is still under
development and two, the low latency requirement leaves no room for
extensive signaling of behavior by the encoder— so when the format is
frozen the room for quality improvements will be very limited.

(At the moment it's unclear if there ever will be a 1.0 version of
CELT however, We're currently merging the codec with Skype's SILK
codec as part of an IETF process. Unless some important CELT
functionality is lost in the merging process there should be no reason
for CELT to continue to exist independently)

SPICE is using CELT because CELT offers a combination of features
which is not available in any other published codec, though there are
some closed source and patent encumbered codecs which come close—
there is noting even close which was suitable for SPICE. These
features— very low latency, reasonable bitrate, high quality are all
critical to SPICE.  There was no way a 1.0 CELT would be ready in time
for SPICE so the next best thing was done: A line in the sand was
drawn establishing the CELT 0.5.1 bitstream as standard for SPICE.
Subsequently we have done a couple of bug-fix releases compatible with
0.5.1. Though it would appear that the current code on that branch is
now BugFree™.

I mean that only half in the sense of "all bugs are features". The
CELT codebase has been mature and stable for a long time long time.
It's only the codec which is changing.

We could have simply called each and every version of CELT a new
codec/library name: CELT->BLOOP->PLORT->GARBAM->ZINGABAR->TOOT. If
we'd done this we almost would have certainty escaped the attempts of
GNU/Linux distributions to force all users onto the single most recent
version, but— frankly— coming up with names is hard.  Constant
renaming would be a lot of work just to appease obsessive rule-bound
packagers who are behaving in a manner unrelated to reality.

I strongly support the general principle of avoiding bundling. It
makes a ton sense not ship ten copies of the same thing— but in this
case different versions of CELT are not the same thing. They are
functionally different. Refusing to include the copy of CELT that
SPICE needs is basically equivalent to refusing to include CELT
because the distribution already has Vorbis.

The CELT library itself is now only about 10kloc (comments,
whitespace, and all). The amount of code which is logically sharable
between the  0.5.1 package and 0.9.1 package is probably only a little
greater to the amount of code which could be logically shared between
CELT and libvorbis (not much, mostly core DSP routines).  Meanwhile
many C applications ship their own complicated associative array and
hash table implementations with comparable complexity.  Distributors
don't mind this duplication because no one was foolish enough to stick
a name on some of this internal code and reuse it with modifications
in a few places.

The howling at SPICE here is really intolerable. I would rather debian
not package our software at all than engage in this sort of behavior.
CELT 0.7.1 was shipped over a year after 0.5.1, much too late for
SPICE. As far as I'm aware the only big users of CELT in debian is
mumble, and the overwhelming majority of the mumble users are on other
platforms using bundled versions. As far as I can tell the interest in
0.7.1 comes not from any great meeting of the minds— 0.7.1 is simply
what was out when Mumble fixed on a version and they had no
requirement to be compatible with what SPICE was using. Had you
brought the spice developers to the table instead of the mumble ones
you probably would have decided on 0.5.1.

Fortunately it isn't all that difficult to link to multiple versions—
the Mumble codebase now supports doing that. It's a reasonable
solution for applications making a transition from one version to
another. As is sticking with an old version.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerd Hoffmann <kraxel@redhat.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #80 received at 603699@bugs.debian.org (full text, mbox):

From: Gerd Hoffmann <kraxel@redhat.com>
To: Ron <ron@debian.org>
Cc: Liang Guo <bluestonechina@gmail.com>, Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 15:48:36 +0100
On 11/17/10 13:04, Ron wrote:
>
> Hi Hans,
>
> Hans de Goede writes:
>> The if at all part depends on if it will be doable without too much
>> pain to support both celt-0.5.1 and celt "1.0" in the same binary.

Should work without major trouble, the symbols exported by the shared 
library have a versioned prefix.

>> This is important to us as we care a lot about protocol
>> compatibility.
>
> Are you seriously telling me that you have no plan whatsoever for how
> to transition from a random snapshot of an experimental codec,

We can transition just fine.  server + client can signal supported 
codecs using capabilities.  We can even support something completely 
different such as ogg or mp3 (once the patents are expired).  We just 
don't want transition from one random celt snapshot to another random 
celt snapshot and the next random celt snapshot next year.

> But so far, all have accepted this _is_ an experimental
> codec, and they must be prepared to move with it.  The interested app
> maintainers and upstream discussed this, and we settled on 0.7.1 as the
> next stable epoch for things that want broad interoperability.

We settled on 0.5.1 for interoperability.

/me figures the latest celt version is 0.9.1.  The web page lists both 
0.5.1 and 0.7.1 in the "provided mainly for historical reasons" section. 
 So you picked a random snapshot too, just another one.

> Are you aware there may never be a celt 1.0?  We have roughly 2 years
> from today before any version of spice will have a chance to be even
> considered for the next Debian stable release - and if things go as
> expected, it will not include any version of celt at all.  There will
> instead be a new (and standardised) codec that was spawned from it and
> merged with other codec work.

When celt merges with others and gets renamed in that process -- no 
problem.  Once the bitstream format is stable we'll happily support it. 
 But even then we will not drop celt 0.5.1 support to maintain 
compatibility with older installations.

> If that means an update to the spice bitstream protocol, now might be a
> good time to explore one.

Isn't going to happen.

If you don't want package celt 0.5.1 -- fine.  You can patch your spice 
server and client to just not signal the celt capability, and they will 
interoperate just fine with everybody else using raw uncompressed audio. 
 But IMHO it would be stupid to not support audio compression in your 
spice packages.  That is your call though.

cheers,
  Gerd





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #85 received at 603699@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Gerd Hoffmann <kraxel@redhat.com>
Cc: Liang Guo <bluestonechina@gmail.com>, Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Thu, 18 Nov 2010 02:29:52 +1030
On Wed, Nov 17, 2010 at 03:48:36PM +0100, Gerd Hoffmann wrote:
> On 11/17/10 13:04, Ron wrote:
> >Are you seriously telling me that you have no plan whatsoever for how
> >to transition from a random snapshot of an experimental codec,
> 
> We can transition just fine.  server + client can signal supported
> codecs using capabilities.  We can even support something completely
> different such as ogg or mp3 (once the patents are expired).  We
> just don't want transition from one random celt snapshot to another
> random celt snapshot and the next random celt snapshot next year.

Ok.  That's better than the picture that had come out so far.
So really, we don't actually have a problem, beyond having to accept
the on the ground truth that there is going to be some codec divergence
between distros for a while.  Maybe for another year or two.

That's suboptimal, but it's not a showstopper.

> > But so far, all have accepted this _is_ an experimental
> >codec, and they must be prepared to move with it.  The interested app
> >maintainers and upstream discussed this, and we settled on 0.7.1 as the
> >next stable epoch for things that want broad interoperability.
> 
> We settled on 0.5.1 for interoperability.
> 
> /me figures the latest celt version is 0.9.1.  The web page lists
> both 0.5.1 and 0.7.1 in the "provided mainly for historical reasons"
> section.  So you picked a random snapshot too, just another one.

Well celt has been in debian since 0.3.0 and nobody has _ever_ talked to
us about 0.5.1 before now.  If you weren't about for the 0.7.1 discussion
then I'm sorry you got missed, but there was a pretty solid consensus.
Consider it this year's snapshot.  There's already been at least one
derivative distro that has released with it.

> >Are you aware there may never be a celt 1.0?  We have roughly 2 years
> >from today before any version of spice will have a chance to be even
> >considered for the next Debian stable release - and if things go as
> >expected, it will not include any version of celt at all.  There will
> >instead be a new (and standardised) codec that was spawned from it and
> >merged with other codec work.
> 
> When celt merges with others and gets renamed in that process -- no
> problem.  Once the bitstream format is stable we'll happily support
> it.  But even then we will not drop celt 0.5.1 support to maintain
> compatibility with older installations.

Ok, that's fine.  But that really doesn't mean every other distro needs
to also worry about that.  It's not ideal, but this is a work in progress.
It can release with Debian when it's ready.

> >If that means an update to the spice bitstream protocol, now might be a
> >good time to explore one.
> 
> Isn't going to happen.
> 
> If you don't want package celt 0.5.1 -- fine.  You can patch your
> spice server and client to just not signal the celt capability, and
> they will interoperate just fine with everybody else using raw
> uncompressed audio.  But IMHO it would be stupid to not support
> audio compression in your spice packages.  That is your call though.

It would be stupid if 0.5.1 was the only choice for compression.
There isn't going to be a Debian release with spice in it for around
2 years now in the best case, so if there isn't another suitable choice
available by then, then something worse than this has gone badly wrong.

Why not just let systems negotiate the best codec they both know?

 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc-André Lureau <marcandre.lureau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 16:15:05 GMT) Full text and rfc822 format available.

Message #90 received at 603699@bugs.debian.org (full text, mbox):

From: Marc-André Lureau <marcandre.lureau@gmail.com>
To: Ron <ron@debian.org>
Cc: Gerd Hoffmann <kraxel@redhat.com>, Patrick Matthäi <pmatthaei@debian.org>, debian-devel@lists.debian.org, Adrian Knoth <adi@drcomp.erfurt.thur.de>, spice-devel@lists.freedesktop.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 17:13:38 +0100
Hi

2010/11/17 Ron <ron@debian.org>:
> On Wed, Nov 17, 2010 at 03:48:36PM +0100, Gerd Hoffmann wrote:
>> On 11/17/10 13:04, Ron wrote:
> Why not just let systems negotiate the best codec they both know?

That was a bit my goal with this patch:
http://gitorious.org/~elmarco/spice/elmarco-spice/commit/e310493a3e5a28f4b41dbc13cfaad7f982bca651

It's incomplete and untested. You can read it doesn't negotiate the
version of CELT, leaving it as undefined/latest. It could do it
probably for correctness.

I personally think this is a crazy idea, because of the instability of
CELT bitstream and API and the numerous versions out there. I would
rather just keep 0.5.1 for now.

cheers

-- 
Marc-André Lureau




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 17 Nov 2010 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerd Hoffmann <kraxel@redhat.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Nov 2010 16:42:03 GMT) Full text and rfc822 format available.

Message #95 received at 603699@bugs.debian.org (full text, mbox):

From: Gerd Hoffmann <kraxel@redhat.com>
To: Ron <ron@debian.org>
Cc: Liang Guo <bluestonechina@gmail.com>, Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Wed, 17 Nov 2010 17:39:29 +0100
  Hi,

>> If you don't want package celt 0.5.1 -- fine.  You can patch your
>> spice server and client to just not signal the celt capability, and
>> they will interoperate just fine with everybody else using raw
>> uncompressed audio.  But IMHO it would be stupid to not support
>> audio compression in your spice packages.  That is your call though.
>
> It would be stupid if 0.5.1 was the only choice for compression.

Right now it is, although we are looking for other options.  It isn't 
top priority though.

> There isn't going to be a Debian release with spice in it for around
> 2 years now in the best case, so if there isn't another suitable choice
> available by then, then something worse than this has gone badly wrong.

Two years should be enough time, maybe we even have celt (or its 
successor) with a stable bitstream format by then.

> Why not just let systems negotiate the best codec they both know?

Will surely happen as soon as we'll have more than one codec ;)

cheers,
  Gerd




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Sun, 28 Nov 2010 16:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 28 Nov 2010 16:48:17 GMT) Full text and rfc822 format available.

Message #100 received at 603699@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
To: Gerd Hoffmann <kraxel@redhat.com>
Cc: Ron <ron@debian.org>, Adrian Knoth <adi@drcomp.erfurt.thur.de>, Patrick Matthäi <pmatthaei@debian.org>, spice-devel@lists.freedesktop.org, debian-devel@lists.debian.org, 603699@bugs.debian.org
Subject: Re: [Spice-devel] Bug#603699: ITP: celt051 -- The CELT codec v0.5.1
Date: Mon, 29 Nov 2010 00:47:44 +0800
Hi, ALL

On Thu, Nov 18, 2010 at 12:39 AM, Gerd Hoffmann <kraxel@redhat.com> wrote:
>> There isn't going to be a Debian release with spice in it for around
>> 2 years now in the best case, so if there isn't another suitable choice
>> available by then, then something worse than this has gone badly wrong.
>
> Two years should be enough time, maybe we even have celt (or its successor)
> with a stable bitstream format by then.
>
>> Why not just let systems negotiate the best codec they both know?
>
> Will surely happen as soon as we'll have more than one codec ;)
>
> cheers,
>  Gerd
>

It looks hard to fit everyone's requirement. so I'll try option 2,
embedding celt051
to spice package, this will minimize the impact to Debian, and keep compatible
with official spice release.

If other one or other package need celt051 too, I will ask to package
celt051 again.

Thanks and Regards,
-- 
Liang Guo
http://bluestone.cublog.cn




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Wed, 27 Jul 2011 16:36:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:36:19 GMT) Full text and rfc822 format available.

Message #105 received at 603699@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 603699@bugs.debian.org
Cc: control@bugs.debian.org
Subject: celt051: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 603699 RFP: celt051 -- The CELT codec v0.5.1
noowner 603699
thanks

Hi,

This is an automatic email to change the status of celt051 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting celt051, please send a mail to
<control@bugs.debian.org> with:

 retitle 603699 ITP: celt051 -- The CELT codec v0.5.1
 owner 603699 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <603699@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: celt051 -- The CELT codec v0.5.1' from 'ITP: celt051 -- The CELT codec v0.5.1' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:48:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Sat, 24 Mar 2012 14:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 24 Mar 2012 14:21:28 GMT) Full text and rfc822 format available.

Message #112 received at 603699@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 603699@bugs.debian.org, Ron Lee <ron@debian.org>
Subject: Re: RFP: celt051 -- The CELT codec v0.5.1
Date: Sat, 24 Mar 2012 15:19:49 +0100
Hi,

Sorry for reviving this RFP/ITP, but I really think we should have a
separate package for celt 0.5.1.

For what I've understood:

 - spice-server -> works only amd64 (patch seems to have been added for
   i386 support earlier this week)
 - celt -> works on all arch
 - spice client -> should work on all arch (maybe with some endianness 
   issues)

GNOME is now providing a gnome-boxes app which is depending on the
spice-client library (and the libcelt051 library) but as it only exist
on amd64 and i386 we cannot make that package available on all arch.

I really would like to see that celt0.5.1 hits the debian archive.


Cheers

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Sun, 25 Mar 2012 22:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Mar 2012 22:09:03 GMT) Full text and rfc822 format available.

Message #117 received at 603699@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Liang Guo <bluestonechina@gmail.com>
Cc: 603699@bugs.debian.org, Ron Lee <ron@debian.org>
Subject: Re: RFP: celt051 -- The CELT codec v0.5.1
Date: Mon, 26 Mar 2012 00:04:58 +0200
Hi,

After talking with ron on IRC, I'm withdrawing my request for the
celt051 package.

Cheers

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603699; Package wnpp. (Sun, 06 May 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 May 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #122 received at 603699@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: "Serge E. Hallyn" <serge@hallyn.com>
Cc: 671627@bugs.debian.org, 603699@bugs.debian.org, Liang Guo <bluestonechina@gmail.com>, Ron <ron@debian.org>
Subject: Re: debian spice package
Date: Sun, 06 May 2012 08:46:35 +0400
[Message part 1 (text/plain, inline)]
On 06.05.2012 08:21, Serge E. Hallyn wrote:
> Just saw http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671627 (someone
> forwarded it to me).  Glad it seems to have worked out :)  If you want
> more help pls let me know, but if you're comfortable as is that's great.

Well, it hasn't worked out yet, as I wrote in #671627 I had no
good conditions to do the work before since spice didn't work
in 32bits, and while I had a patch for some time I had no idea
if it works or not.

Yesterday I did some testing, but again I've no idea if it works
or not -- I don't know how to test sound transmitted using spice!

The current version of the patch is attached, for anyone to
experiment.  I'll try to do my best afer a short vacation we all
russians have these days due to the Victory Day (World Wide War II),
I'll be back in May-10.

Thank you!

/mjt
[spice-nocelt051.diff (text/x-patch, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:20:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.